Package net.commoble.jumbofurnace.jumbo_furnace

# Class OutputItemHandler

java.lang.Object
net.neoforged.neoforge.items.ItemStackHandler
net.commoble.jumbofurnace.jumbo_furnace.OutputItemHandler

All Implemented Interfaces:
  `net.neoforged.neoforge.common.util.ValueIOSerializable`, `net.neoforged.neoforge.items.IItemHandler`, `net.neoforged.neoforge.items.IItemHandlerModifiable`

public class OutputItemHandler extends net.neoforged.neoforge.items.ItemStackHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXPERIENCE`
`boolean`
`forcingInserts`
`float`
`storedExperience`
`final JumboFurnaceCoreBlockEntity`
`te`

### Fields inherited from class net.neoforged.neoforge.items.ItemStackHandler

`stacks`

## Constructor Summary

Constructors
Constructor
Description
`OutputItemHandler(JumboFurnaceCoreBlockEntity te)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addExperience(float experience)`
`void`
`deserialize(net.minecraft.world.level.storage.ValueInput input)`
`net.minecraft.world.item.ItemStack`
`extractItem(int slot, int amount, boolean simulate)`
`float`
`getAndConsumeExperience()`
`net.minecraft.world.item.ItemStack`
`insertCraftResult(net.minecraft.world.item.ItemStack stack, boolean simulate)`
`boolean`
`isItemValid(int slot, net.minecraft.world.item.ItemStack stack)`
`protected void`
`onContentsChanged(int slot)`
`void`
`serialize(net.minecraft.world.level.storage.ValueOutput output)`

### Methods inherited from class net.neoforged.neoforge.items.ItemStackHandler

`getSlotLimit, getSlots, getStackInSlot, getStackLimit, insertItem, onLoad, setSize, setStackInSlot, validateSlotIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EXPERIENCE

public static final String EXPERIENCE

See Also:
  - Constant Field Values

### te

public final JumboFurnaceCoreBlockEntity te

### forcingInserts

public boolean forcingInserts

### storedExperience

public float storedExperience

## Constructor Details

### OutputItemHandler

public OutputItemHandler(JumboFurnaceCoreBlockEntity te)

## Method Details

### addExperience

public void addExperience(float experience)

### isItemValid

public boolean isItemValid(int slot, net.minecraft.world.item.ItemStack stack)

Specified by:
  `isItemValid` in interface `net.neoforged.neoforge.items.IItemHandler`
Overrides:
  `isItemValid` in class `net.neoforged.neoforge.items.ItemStackHandler`

### insertCraftResult

public net.minecraft.world.item.ItemStack insertCraftResult(net.minecraft.world.item.ItemStack stack, boolean simulate)

### onContentsChanged

protected void onContentsChanged(int slot)

Overrides:
  `onContentsChanged` in class `net.neoforged.neoforge.items.ItemStackHandler`

### getAndConsumeExperience

public float getAndConsumeExperience()

### serialize

public void serialize(net.minecraft.world.level.storage.ValueOutput output)

Specified by:
  `serialize` in interface `net.neoforged.neoforge.common.util.ValueIOSerializable`
Overrides:
  `serialize` in class `net.neoforged.neoforge.items.ItemStackHandler`

### deserialize

public void deserialize(net.minecraft.world.level.storage.ValueInput input)

Specified by:
  `deserialize` in interface `net.neoforged.neoforge.common.util.ValueIOSerializable`
Overrides:
  `deserialize` in class `net.neoforged.neoforge.items.ItemStackHandler`

### extractItem

public net.minecraft.world.item.ItemStack extractItem(int slot, int amount, boolean simulate)

Specified by:
  `extractItem` in interface `net.neoforged.neoforge.items.IItemHandler`
Overrides:
  `extractItem` in class `net.neoforged.neoforge.items.ItemStackHandler`